## bbswitch 0.7

=== debian/changelog ===
bbswitch (0.7-2ubuntu1) trusty; urgency=low

  * debian/control, debian/rules:
    - Remove support for module-assistant so as to comply
      with the requirements of the MIR.
  * debian/patches/01_add-support-for-Linux-3.13.patch:
    - Add support for Linux 3.13. This is also backward
      compatible.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 09 Dec 2013 12:19:45 +0100

bbswitch (0.7-2) unstable; urgency=low

  * Add bbswitch-source package to support module-assistant. (Closes: #715398)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Thu, 11 Jul 2013 01:24:11 -0700

bbswitch (0.7-1) unstable; urgency=low

  * New upstream release.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Wed, 29 May 2013 01:40:23 -0700

bbswitch (0.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Fri, 03 May 2013 02:05:40 -0700

bbswitch (0.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Add Vincent and Yunqiang as Uploaders.
    - Move to linux-any, since it does not support other platforms.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Tue, 19 Mar 2013 21:35:43 -0700

bbswitch (0.5-1) unstable; urgency=low

  * Initial release (Closes: #673424)

 -- Aron Xu <aron@debian.org>  Wed, 10 Oct 2012 19:45:33 +0800
