=== debian/control ===
Source: bbswitch
Section: kernel
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: 
 Aron Xu <aron@debian.org>,
 Vincent Cheng <Vincentc1208@gmail.com>,
 Yunqiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), dkms
Standards-Version: 3.9.4
Homepage: https://github.com/Bumblebee-Project/bbswitch
Vcs-Git: git://anonscm.debian.org/pkg-nvidia/bbswitch.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-nvidia/bbswitch.git

Package: bbswitch-dkms
Architecture: linux-any
Depends: ${misc:Depends}, dkms
Suggests: bumblebee
Description: Interface for toggling the power on nVidia Optimus video cards
 bbswitch is a kernel module which automatically detects the required ACPI
 calls for two kinds of Optimus laptops. It has been verified to work with
 "real" Optimus and "legacy" Optimus laptops (at least, that is what the
 author Lekensteyn calls those).
 .
 This package uses DKMS to automatically build the bbswitch kernel module.
