## bbswitch 0.8

=== debian/changelog ===
bbswitch (0.8-17ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes: (LP: #2110533)
    - Drop module-assistant based package, does not work correctly on Ubuntu
      in all cornercase, support is only provided via the dkms package.

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 13 May 2025 11:38:51 +0200

bbswitch (0.8-17) unstable; urgency=medium

  * Synchronize with the latest m-a template.
  * Update Standards version to 4.7.2, no changes required.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Mar 2025 14:58:29 +0100

bbswitch (0.8-16) unstable; urgency=medium

  * Stop building for i386, these kernels and headers are gone.
  * Synchronize with the latest m-a template.
  * Update Standards version to 4.7.0, no changes required.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Feb 2025 16:24:05 +0100

bbswitch (0.8-15ubuntu1) mantic; urgency=medium

  * Drop module-assistant based package, does not work correctly on Ubuntu
    in all cornercase, support is only provided via the dkms package.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 26 Jul 2023 10:44:44 +0100

bbswitch (0.8-15) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 19 Jan 2023 21:38:21 +0100

bbswitch (0.8-14ubuntu1) lunar; urgency=medium

  * Cherrypick conditional CONFIG_ACPI support from upstream devel branch:
    - drop require-acpi.patch
    - add check for power state only if acpi is enabled patch
    - drop dh-dkms versioned build-dependency
    - above enables to build the module for more kernels, and eases
    backports to jammy/debian-stable.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 17 Jan 2023 11:48:37 +0000

bbswitch (0.8-14) unstable; urgency=medium

  * Add autopkgtest for the -source package.
  * Modernize Kbuild integration.
  * Sync bbswitch-source with the current m-a templates.
  * Update Standards version to 4.6.2, no changes required.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 05 Jan 2023 03:31:32 +0100

bbswitch (0.8-13) unstable; urgency=medium

  * Use experimental dkms feature BUILD_EXCLUSIVE_CONFIG="CONFIG_ACPI".
  * Add patch for Linux 5.18 from Arch Linux.  (Closes: #1012560, #1012779)
  * Update Standards version to 4.6.1, no changes required.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jun 2022 14:09:20 +0200

bbswitch (0.8-12) unstable; urgency=medium

  [ Andrea Righi ]
  * Drop support for armhf and ppc64el (LP: #1956434)

  [ Andreas Beckmann ]
  * Drop ACPI patch from 0.8-11.
  * Restrict the autopkgtest to supported architectures.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Apr 2022 16:05:04 +0200

bbswitch (0.8-11) unstable; urgency=medium

  [ Andrea Righi ]
  * Fix build error on architectures that don't have ACPI enabled
    (LP: #1951583)

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on tar.
  * Update watch file format version to 4.
  * Update standards version to 4.6.0, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Feb 2022 00:18:18 +0100

bbswitch (0.8-10) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Build for arm64, too.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 18 Aug 2020 00:06:37 +0200

bbswitch (0.8-9) unstable; urgency=medium

  * Add proposed upstream patch for Linux 5.6 support.  (Closes: #959189)
  * Run clean target against the kernel version used for building.
  * Switch to debhelper-compat (= 13).
  * Update Standards version to 4.5.0, no changes required.
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Restrict to architectures with the nvidia binary driver. (Closes: #842964)
  * Add upstream metadata URLs.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 May 2020 15:59:02 +0200

bbswitch (0.8-8) unstable; urgency=medium

  * bbswitch-source: make build reproducible by using tar --owner --group.

 -- Luca Boccassi <bluca@debian.org>  Sat, 19 Jan 2019 18:38:35 +0000

bbswitch (0.8-7) unstable; urgency=medium

  * Sync bbswitch-source module control file with bbswitch.
    Fixes build failure when using module-assistant due to missing
    debian/compat. (Closes: #918752)

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Jan 2019 09:22:31 +0000

bbswitch (0.8-6) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch Vcs-* URLs to salsa.debian.org.
  * Set Rules-Requires-Root: no.
  * Set Priority to optional.
  * Use dpkg makefile snippets instead of manual changelog parsing.

  [ Luca Boccassi ]
  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.3.0.
  * Switch to my debian.org email address.

 -- Luca Boccassi <bluca@debian.org>  Sat, 05 Jan 2019 17:49:43 +0100

bbswitch (0.8-5) unstable; urgency=medium

  * Add fix-building-against-4.12.patch to fix build on Linux 4.12.
  * Use https in debian/copyright to be compliant with policy version
    4.0.0 and bump Standards-Version.

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 16 Jul 2017 23:37:38 +0100

bbswitch (0.8-4) unstable; urgency=medium

  [ Vincent Cheng ]
  * Make build reproducible by fixing order of files inside tar archive.
    (Closes: #803547)

  [ Andreas Beckmann ]
  * Update Standards version to 3.9.8, no changes required.
  * Update Vcs-* URLs.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 29 May 2016 22:41:26 -0700

bbswitch (0.8-3) unstable; urgency=medium

  * Add myself to Uploaders.
  * Fix tarball permissions variance due to umask. Makes bbswitch build
    reproducibly. Thanks Reiner Herrmann for the patch. (Closes: #803547)

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 01 Nov 2015 17:22:03 +0100

bbswitch (0.8-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * bbswitch-source: Add Recommends: debhelper.

