## bbswitch 0.8.1

=== debian/changelog ===
bbswitch (0.8.1-10) unstable; urgency=medium

  * update

 -- Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>  Fri, 16 Apr 2021 09:51:13 +0800
