=== debian/watch ===
version=3
https://github.com/Bumblebee-Project/bbswitch/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
